Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DERExternal

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.DERExternal

All Implemented Interfaces:
  DEREncodable, DERTags

    public class DERExternal

extends ASN1Object

Class representing the DER-type External

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERExternal(ASN1EncodableVector vector)`
`DERExternal(DERObjectIdentifier directReference, DERInteger indirectReference, ASN1Object dataValueDescriptor, DERTaggedObject externalData)` Creates a new instance of DERExternal See X.690 for more informations about the meaning of these parameters
`DERExternal(DERObjectIdentifier directReference, DERInteger indirectReference, ASN1Object dataValueDescriptor, int encoding, DERObject externalData)` Creates a new instance of DERExternal.

Method Summary
`ASN1Object` `getDataValueDescriptor()` Returns the data value descriptor
`DERObjectIdentifier` `getDirectReference()` Returns the direct reference of the external element
`int` `getEncoding()` Returns the encoding of the content.
`DERObject` `getExternalContent()` Returns the content of this element
`DERInteger` `getIndirectReference()` Returns the indirect reference of this element
`int` `hashCode()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERExternal

    public DERExternal(ASN1EncodableVector vector)

### DERExternal

    public DERExternal(DERObjectIdentifier directReference,
                       DERInteger indirectReference,
                       ASN1Object dataValueDescriptor,
                       DERTaggedObject externalData)

  Creates a new instance of DERExternal See X.690 for more informations about the meaning of these parameters

  Parameters:
    `directReference` - The direct reference or `null` if not set.
    `indirectReference` - The indirect reference or `null` if not set.
    `dataValueDescriptor` - The data value descriptor or `null` if not set.
    `externalData` - The external data in its encoded form.

### DERExternal

    public DERExternal(DERObjectIdentifier directReference,
                       DERInteger indirectReference,
                       ASN1Object dataValueDescriptor,
                       int encoding,
                       DERObject externalData)

  Creates a new instance of DERExternal. See X.690 for more informations about the meaning of these parameters

  Parameters:
    `directReference` - The direct reference or `null` if not set.
    `indirectReference` - The indirect reference or `null` if not set.
    `dataValueDescriptor` - The data value descriptor or `null` if not set.
    `encoding` - The encoding to be used for the external data
    `externalData` - The external data

Method Detail

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Object`

### getDataValueDescriptor

    public ASN1Object getDataValueDescriptor()

  Returns the data value descriptor

  Returns:
    The descriptor

### getDirectReference

    public DERObjectIdentifier getDirectReference()

  Returns the direct reference of the external element

  Returns:
    The reference

### getEncoding

    public int getEncoding()

  Returns the encoding of the content. Valid values are
  - `0` single-ASN1-type
  - `1` OCTET STRING
  - `2` BIT STRING

  Returns:
    The encoding

### getExternalContent

    public DERObject getExternalContent()

  Returns the content of this element

  Returns:
    The content

### getIndirectReference

    public DERInteger getIndirectReference()

  Returns the indirect reference of this element

  Returns:
    The reference

Bouncy Castle Cryptography Library 1.45